#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const yargs_1 = require("yargs");
const getCompletion_1 = require("../utility/completion/getCompletion");
const checkForCredentials_1 = require("../utility/debug/checkForCredentials");
const removeLastSentence_1 = require("../utility/string/removeLastSentence");
const replaceNewlineEscapes_1 = require("../utility/string/replaceNewlineEscapes");
checkForCredentials_1.checkForCredentials();
const prompt = replaceNewlineEscapes_1.replaceNewlineEscapes(yargs_1.argv._[0]);
if (typeof prompt !== "string") {
    throw new TypeError("Missing prompt as first CLI parameter");
}
else {
    (async () => {
        const completion = await getCompletion_1.getCompletion(prompt);
        const cleaned = removeLastSentence_1.removeLastSentence(prompt + completion);
        console.log(`\n${cleaned}`);
    })().catch((error) => {
        throw error;
    });
}
